ru.bitel.bgbilling.modules.tv.api.common

## Enum ProlongationType

- java.lang.Object
- - java.lang.Enum<ProlongationType>
  - - ru.bitel.bgbilling.modules.tv.api.common.ProlongationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProlongationType>

      public enum ProlongationType
      extends java.lang.Enum<ProlongationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `normal` продление при активации или окончании период
    `payment` попытка продления приостановленного при платеже
    `scheduler` планировщик

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProlongationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProlongationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### normal

          public static final ProlongationType normal

      продление при активации или окончании период

    - #### payment

          public static final ProlongationType payment

      попытка продления приостановленного при платеже

    - #### scheduler

          public static final ProlongationType scheduler

      планировщик

  - ### Method Detail

    - #### values

          public static ProlongationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProlongationType c : ProlongationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProlongationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null